Services
1 API call in this section.
Get Services
Customer Portal / Delivery Management / Services
GET
/customer/delivery/servicesLists available delivery services with customer and portal access filtering. Optional purpose=return restricts results to services with allow_returns=true. Each returned service includes allow_returns.
Query parameters
| Parameter | Type | Description |
|---|---|---|
searchOptional | string | Search by service name or code |
delivery_type_codeOptional | string | Filter by delivery type code |
purposeOptional | string | Set to return to list only active customer-accessible services with Example: |
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/customer/delivery/services?search=&delivery_type_code=&purpose=return" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
200OK
Response body
json
1{2 "success": true,3 "data": {4 "services": [5 {6 "id": "uuid",7 "name": "Standard Delivery",8 "code": "STD",9 "unit_max": 5,10 "allow_returns": true,11 "delivery_type": {12 "id": "uuid",13 "name": "Delivery",14 "code": "delivery"15 }16 }17 ],18 "total": 119 }20}